package com.dayou.annotation;

import com.dayou.enums.MainBusinessEnum;

import java.lang.annotation.*;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/4/26
 * created with IntelliJ IDEA.
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface LuceneResource {

    /**
     * 业务类型
     * @return
     */
    MainBusinessEnum value() ;

    /**
     * 对应实体对象ServiceImpl层的BeanName
     * @return
     */
    String serviceImplClassName();

    /**
     * 跳转的URL
     * @return
     */
    String url () default "";

    /**
     * 菜单名称
     * @return
     */
    String menuName() default "";

    /**
     * 需要检查的业务字段，值不一样，跳转的url和菜单为@luceneSearchable 指定的url 和菜单名称
     * @return
     */
    String checkField() default "";
}
